{# RH: new file, based on https://github.com/ckan/ckan/blob/ckan-2.10.4/ckan/templates/package/snippets/resources_list.html #}

{#
  Renders a list of resources with icons and view links.

  resources - A list of resources (dicts) to render
  pkg - A package dict that the resources belong to.

  Example:

  {% snippet "package/snippets/dataservices_list.html", pkg=pkg, resources=pkg.resources %}

  #}

{% block resource_list %}
  {% set resources = resources | selectattr('format', 'in', [
    'http://www.opengis.net/def/serviceType/ogc/wfs',
    'http://www.opengis.net/def/serviceType/ogc/wms',
    'https://github.com/OAI/OpenAPI-Specification/',
    ]) | list %} {# RH: TODO: create a custom filter for this, and base it on more than just the format #}
  {% if resources %}
    <section id="dataservice-resources" class="resources">
      <h2>{{ _('Data services en API\'s') }}</h2> {# RH: TODO: translation #}
      <ul class="{% block resource_list_class %}resource-list{% endblock %}">
        {% block resource_list_inner scoped %}
          {% set can_edit = can_edit or h.check_access('package_update', {'id':pkg.id }) %}
          {% for resource in resources %}
            {% snippet 'package/snippets/resource_item.html', pkg=pkg, res=resource, can_edit=can_edit %}
          {% endfor %}
        {% endblock %}
      </ul>
    </section>
  {% endif %}
{% endblock %}
